org.apache.cxf.feature.transform

## Class XSLTOutInterceptor

- java.lang.Object
- - org.apache.cxf.phase.AbstractPhaseInterceptor<Message>
  - - org.apache.cxf.feature.transform.AbstractXSLTInterceptor
    - - org.apache.cxf.feature.transform.XSLTOutInterceptor

- All Implemented Interfaces:
    Interceptor<Message>, PhaseInterceptor<Message>

      public class XSLTOutInterceptor
      extends AbstractXSLTInterceptor

  Class provides XSLT transformation of outgoing message. Actually it breaks streaming (can be fixed in further versions when XSLT engine supports XML stream)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `XSLTOutInterceptor.XSLTCachedOutputStreamCallback`
    `static class` | `XSLTOutInterceptor.XSLTCachedWriter`
    `static class` | `XSLTOutInterceptor.XSLTStreamWriter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XSLTOutInterceptor(String xsltPath)`
    `XSLTOutInterceptor(String phase, Class<?> before, Class<?> after, String xsltPath)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleMessage(Message message)` Intercepts a message.
    `protected void` | `transformOS(Message message, OutputStream out)`
    `protected void` | `transformWriter(Message message, Writer writer)`
    `protected void` | `transformXWriter(Message message, XMLStreamWriter xWriter)`

    - ### Methods inherited from class org.apache.cxf.feature.transform.AbstractXSLTInterceptor

      `checkContextProperty, getXSLTTemplate, setContextPropertyName`

    - ### Methods inherited from class org.apache.cxf.phase.AbstractPhaseInterceptor

      `addAfter, addAfter, addBefore, addBefore, getAdditionalInterceptors, getAfter, getBefore, getId, getPhase, handleFault, isGET, isRequestor, setAfter, setBefore`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XSLTOutInterceptor

          public XSLTOutInterceptor(String xsltPath)

    - #### XSLTOutInterceptor

          public XSLTOutInterceptor(String phase,
                                    Class<?> before,
                                    Class<?> after,
                                    String xsltPath)

  - ### Method Detail

    - #### handleMessage

          public void handleMessage(Message message)

      Description copied from interface: `Interceptor`
      Intercepts a message. Interceptors should NOT invoke handleMessage or handleFault on the next interceptor - the interceptor chain will take care of this.

    - #### transformXWriter

          protected void transformXWriter(Message message,
                                          XMLStreamWriter xWriter)

    - #### transformOS

          protected void transformOS(Message message,
                                     OutputStream out)

    - #### transformWriter

          protected void transformWriter(Message message,
                                         Writer writer)

Apache CXF